automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

FYI: fix for PR/204


From: Alexandre Duret-Lutz
Subject: FYI: fix for PR/204
Date: 19 Jan 2002 09:17:05 +0100
User-agent: Gnus/5.0808 (Gnus v5.8.8) Emacs/20.7

This add a test case and a fix for PR/204.

Index: ChangeLog
===================================================================
RCS file: /cvs/automake/automake/ChangeLog,v
retrieving revision 1.1738
diff -u -r1.1738 ChangeLog
--- ChangeLog   2002/01/18 23:08:25     1.1738
+++ ChangeLog   2002/01/19 08:26:46
@@ -1,3 +1,11 @@
+2002-01-19  Alexandre Duret-Lutz  <address@hidden>
+
+       Fix for PR automake/204:
+       * tests/pr204.test: New file.
+       * tests/Makefile.am (TESTS): Add it.
+       * automake.in (handle_single_transform_list): Don't distribute
+       sources derived from non-distributed sources.
+
 2002-01-18  Alexandre Duret-Lutz  <address@hidden>
 
        Fix for PR automake/229:
Index: automake.in
===================================================================
RCS file: /cvs/automake/automake/automake.in,v
retrieving revision 1.1269
diff -u -r1.1269 automake.in
--- automake.in 2002/01/18 23:08:26     1.1269
+++ automake.in 2002/01/19 08:27:08
@@ -2012,8 +2012,10 @@
            # Make sure this new source file is handled next.  That will
            # make it appear to be at the right place in the list.
            unshift (@files, $object);
-           # FIXME: nodist.
-           &push_dist_common ($object);
+           # Distribute derived sources unless the source they are
+           # derived from is not.
+           &push_dist_common ($object)
+               unless ($topparent =~ /^(:?nobase_)?nodist_/);
            next;
        }
 
Index: tests/Makefile.am
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.am,v
retrieving revision 1.374
diff -u -r1.374 Makefile.am
--- Makefile.am 2002/01/18 23:08:27     1.374
+++ Makefile.am 2002/01/19 08:27:10
@@ -249,6 +249,7 @@
 pluseq8.test \
 ppf77.test \
 pr2.test \
+pr204.test \
 pr211.test \
 pr220.test \
 pr229.test \
Index: tests/pr204.test
===================================================================
RCS file: pr204.test
diff -N pr204.test
--- /dev/null   Tue May  5 13:32:27 1998
+++ pr204.test  Sat Jan 19 00:27:11 2002
@@ -0,0 +1,54 @@
+#! /bin/sh
+# For PR 204.
+# Sources derived from nodist_ sources should not be distributed.
+
+required=bison
+
+. $srcdir/defs || exit 1
+
+set -e
+
+cat > configure.in <<'EOF'
+AC_INIT(pr204, 0.1)
+AM_INIT_AUTOMAKE
+AC_PROG_CC
+AC_PROG_YACC
+AC_CONFIG_FILES(Makefile)
+AC_OUTPUT
+EOF
+
+# The PARSE2 intermediate variable is there to make
+# sure Automake match 'nodist_' against the right
+# variable name...
+cat > Makefile.am << 'EOF'
+EXTRA_PROGRAMS = foo
+PARSE2 = parse2.y
+nodist_foo_SOURCES = parse.y $(PARSE2)
+EOF
+
+cat > parse.y << 'END'
+%{
+int yylex () {return 0;}
+void yyerror (char *s) {}
+%}
+%%
+maude : 'm' 'a' 'u' 'd' 'e' {};
+END
+
+cp parse.y parse2.y
+
+# We are not checking Autoconf, so we pick $YACC for it.
+YACC="bison -y"
+export YACC
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE -a
+./configure
+$MAKE distdir
+test -f pr204-0.1/parse.c && exit 1
+test -f pr204-0.1/parse.y && exit 1
+test -f pr204-0.1/parse2.c && exit 1
+test -f pr204-0.1/parse2.y && exit 1
+# Make sure parse.c and parse2.c are still targets.
+make parse.c parse2.c
-- 
Alexandre Duret-Lutz



reply via email to

[Prev in Thread] Current Thread [Next in Thread]